<?xml version="1.0" encoding="utf-8"?>
<DirectionalLayout
    xmlns:ohos="http://schemas.huawei.com/res/ohos"
    ohos:height="match_parent"
    ohos:width="match_parent"
    ohos:alignment="center"
    ohos:orientation="vertical">
    <!-- 根布局不设置背景，保持全透明 -->

    <!-- 内容容器（白色圆角卡片） -->
    <DirectionalLayout
        ohos:id="$+id:content_layout"
        ohos:height="match_content"
        ohos:width="match_content"
        ohos:orientation="vertical"
        ohos:alignment="center"
        ohos:padding="40vp"
        ohos:background_element="$graphic:background_loading_content">

        <!-- ProgressBar -->
        <ProgressBar
            ohos:id="$+id:progress_bar"
            ohos:height="80vp"
            ohos:width="80vp"/>

        <!-- 提示文字 -->
        <Text
            ohos:id="$+id:text_loading"
            ohos:height="match_content"
            ohos:width="match_content"
            ohos:text="加载中..."
            ohos:text_size="14fp"
            ohos:text_color="#FF666666"
            ohos:top_margin="16vp"/>
    </DirectionalLayout>
</DirectionalLayout>

